From 7893b50d1b642ec9c8b66bb68fb8d19145a6b47d Mon Sep 17 00:00:00 2001
From: Sahil Harpal <santosh.2@iitj.ac.in>
Date: Thu, 17 Aug 2023 15:31:59 +0530
Subject: [PATCH 2/3] Handle null values for CPU & memory usage

---
 web/pgadmin/dashboard/static/js/SystemStats/CPU.jsx    | 4 ++++
 web/pgadmin/dashboard/static/js/SystemStats/Memory.jsx | 4 ++++
 2 files changed, 8 insertions(+)

diff --git a/web/pgadmin/dashboard/static/js/SystemStats/CPU.jsx b/web/pgadmin/dashboard/static/js/SystemStats/CPU.jsx
index 276034d9e..a6341954f 100644
--- a/web/pgadmin/dashboard/static/js/SystemStats/CPU.jsx
+++ b/web/pgadmin/dashboard/static/js/SystemStats/CPU.jsx
@@ -54,6 +54,10 @@ const useStyles = makeStyles((theme) => ({
 }));
 
 export function formatBytes(bytes) {
+  if (bytes === null) {
+    return 'null';
+  }
+
   const units = ['B', 'KB', 'MB', 'GB', 'TB'];
   let unitIndex = 0;
 
diff --git a/web/pgadmin/dashboard/static/js/SystemStats/Memory.jsx b/web/pgadmin/dashboard/static/js/SystemStats/Memory.jsx
index 74e8f424b..9d32795dd 100644
--- a/web/pgadmin/dashboard/static/js/SystemStats/Memory.jsx
+++ b/web/pgadmin/dashboard/static/js/SystemStats/Memory.jsx
@@ -45,6 +45,10 @@ const useStyles = makeStyles((theme) => ({
 }));
 
 export function formatBytes(bytes) {
+  if (bytes === null) {
+    return 'null';
+  }
+
   const units = ['B', 'KB', 'MB', 'GB', 'TB'];
   let unitIndex = 0;
 
-- 
2.41.0.windows.1


